import camera_api
import numpy as np
from verify.identity import *

if __name__ == '__main__':
    # 创建相机对象
    camera = camera_api.camera()
    # 初始化相机设备
    camera.init_device()
    # 加载配置文件 config.yaml文件
    camera.set_config()

    # 设置手眼标定矩阵
    camera.set_eye_hand_matrix(np.asarray([
        [-0.54, 0.46, 0.70, -267.83],
        [0.56, 0.82, -0.11, -104.90],
        [-0.63, 0.34, -0.70, 220.57],
        [0.0, 0.0, 0.0, 1.0]
    ]))
    # 获取点云文件, 返回值是数组点云信息，文件保存至路径格式为pcd，读取文件后含有颜色信息
    points = camera.get_pcd_file('.', [0, 0, 0, 0, 0, 0], 0)
